// java wrapper for vtkDelimitedTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelimitedTextReader.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDelimitedTextReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDelimitedTextReader",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  const char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetFileName_12(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetFieldDelimiterCharacters_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDelimiterCharacters(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetFieldDelimiterCharacters_15(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDelimiterCharacters();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkDelimitedTextReader_GetStringDelimiter_16(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char     temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStringDelimiter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetStringDelimiter_17(JNIEnv *env, jobject obj,jchar id0)
{
  vtkDelimitedTextReader *op;
  char     temp0;
  temp0 = (char)(0xff & id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStringDelimiter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetUseStringDelimiter_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseStringDelimiter(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetUseStringDelimiter_19(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseStringDelimiter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_UseStringDelimiterOn_110(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->UseStringDelimiterOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_UseStringDelimiterOff_111(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->UseStringDelimiterOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetHaveHeaders_112(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHaveHeaders();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetHaveHeaders_113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHaveHeaders(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetMergeConsecutiveDelimiters_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergeConsecutiveDelimiters(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetMergeConsecutiveDelimiters_115(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeConsecutiveDelimiters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_MergeConsecutiveDelimitersOn_116(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MergeConsecutiveDelimitersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_MergeConsecutiveDelimitersOff_117(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MergeConsecutiveDelimitersOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextReader_GetMaxRecords_118(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  int      temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxRecords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetMaxRecords_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkDelimitedTextReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxRecords(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDelimitedTextReader_VTKInit(JNIEnv *, jobject)
{
  vtkDelimitedTextReader *aNewOne = vtkDelimitedTextReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
