// java wrapper for vtkPassThrough object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPassThrough.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPassThrough_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPassThrough",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPassThrough_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPassThrough *op;
  const char    *temp20;

  op = (vtkPassThrough *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPassThrough_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassThrough *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassThrough *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPassThrough_VTKInit(JNIEnv *, jobject)
{
  vtkPassThrough *aNewOne = vtkPassThrough::New();
  return (jlong)(size_t)(void*)aNewOne;
}
