// java wrapper for vtkPolygonalHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolygonalHandleRepresentation3D.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHandleRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolygonalHandleRepresentation3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolygonalHandleRepresentation3D",dType)) { return me; }
  if ((res= vtkHandleRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;
  const char    *temp20;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetWorldPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetDisplayPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetHandle_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandle(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_GetHandle_15(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkPolyData  *temp20;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetOffset_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPolygonalHandleRepresentation3D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOffset(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetOffset_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOffset(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_GetOffset_18(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;
  double  *temp20;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOffset();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetProperty_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_SetSelectedProperty_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_GetProperty_111(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_GetSelectedProperty_112(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_BuildRepresentation_113(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_StartWidgetInteraction_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_WidgetInteraction_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_ComputeInteractionState_116(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPolygonalHandleRepresentation3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_ShallowCopy_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_GetActors_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_ReleaseGraphicsResources_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_RenderOpaqueGeometry_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_RenderTranslucentPolygonalGeometry_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalHandleRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_HasTranslucentPolygonalGeometry_122(JNIEnv *env, jobject obj)
{
  vtkPolygonalHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolygonalHandleRepresentation3D_VTKInit(JNIEnv *, jobject)
{
  vtkPolygonalHandleRepresentation3D *aNewOne = vtkPolygonalHandleRepresentation3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
