// java wrapper for vtkInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFunctionSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkFunctionSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_AddDataSet_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInterpolatedVelocityField *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastCellId_13(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  vtkIdType   temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastCellId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SetLastCellId_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkInterpolatedVelocityField *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLastCellId(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SetLastCellId_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkInterpolatedVelocityField *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLastCellId(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_ClearLastCellId_16(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLastCellId();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastLocalCoordinates_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInterpolatedVelocityField *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastLocalCoordinates(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetCaching_18(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaching();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SetCaching_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkInterpolatedVelocityField *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaching(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_CachingOn_110(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CachingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_CachingOff_111(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CachingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetCacheHit_112(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheHit();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetCacheMiss_113(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheMiss();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetVectorsSelection_114(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  char    *temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_SelectVectors_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolatedVelocityField *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectVectors(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastDataSet_116(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  vtkDataSet  *temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatedVelocityField_GetLastDataSetIndex_117(JNIEnv *env, jobject obj)
{
  vtkInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSetIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatedVelocityField_CopyParameters_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInterpolatedVelocityField *op;
  vtkInterpolatedVelocityField  *temp0;
  temp0 = (vtkInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyParameters(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInterpolatedVelocityField_VTKInit(JNIEnv *, jobject)
{
  vtkInterpolatedVelocityField *aNewOne = vtkInterpolatedVelocityField::New();
  return (jlong)(size_t)(void*)aNewOne;
}
