// java wrapper for vtkSelectionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectionSource.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectionSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectionSource",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectionSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  const char    *temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectionSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddID_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSelectionSource *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddID(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddLocation_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSelectionSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLocation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddThreshold_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkSelectionSource *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddThreshold(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddBlock_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddBlock(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllIDs_16(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllIDs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllThresholds_17(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllThresholds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllLocations_18(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllLocations();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllBlocks_19(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllBlocks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetContentType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContentType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetContentType_111(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContentType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetFieldType_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetFieldType_113(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetContainingCells_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContainingCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetContainingCells_115(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContainingCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetInverse_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInverse(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetInverse_117(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverse();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetArrayName_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectionSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectionSource_GetArrayName_119(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  char    *temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetCompositeIndex_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetCompositeIndex_121(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetHierarchicalLevel_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHierarchicalLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetHierarchicalLevel_123(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchicalLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetHierarchicalIndex_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHierarchicalIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetHierarchicalIndex_125(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchicalIndex();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelectionSource_VTKInit(JNIEnv *, jobject)
{
  vtkSelectionSource *aNewOne = vtkSelectionSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
