// java wrapper for vtkOpenFOAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenFOAMReader.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenFOAMReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenFOAMReader",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenFOAMReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;
  const char    *temp20;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenFOAMReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenFOAMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenFOAMReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenFOAMReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenFOAMReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;
  char    *temp20;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenFOAMReader_GetNumberOfTimeSteps_14(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;
  int      temp20;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTimeSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenFOAMReader_SetTimeStep_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenFOAMReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenFOAMReader_GetTimeStep_16(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;
  int      temp20;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkOpenFOAMReader_GetTimeStepRange_17(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;
  int     *temp20;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStepRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenFOAMReader_GetNumberOfCellArrays_18(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;
  int      temp20;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenFOAMReader_GetCellArrayStatus_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenFOAMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenFOAMReader_SetCellArrayStatus_110(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkOpenFOAMReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenFOAMReader_GetCellArrayName_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenFOAMReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenFOAMReader_DisableAllCellArrays_112(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenFOAMReader_EnableAllCellArrays_113(JNIEnv *env, jobject obj)
{
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllCellArrays();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenFOAMReader_VTKInit(JNIEnv *, jobject)
{
  vtkOpenFOAMReader *aNewOne = vtkOpenFOAMReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
