// java wrapper for vtkSurfaceRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSurfaceRepresentation.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSurfaceRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSurfaceRepresentation",dType)) { return me; }
  if ((res= vtkDataRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSurfaceRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSurfaceRepresentation *op;
  const char    *temp20;

  op = (vtkSurfaceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSurfaceRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSurfaceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceRepresentation_SetInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceRepresentation *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceRepresentation_SetSelectionLink_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceRepresentation *op;
  vtkSelectionLink  *temp0;
  temp0 = (vtkSelectionLink *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionLink(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSurfaceRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkSurfaceRepresentation *aNewOne = vtkSurfaceRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
