// java wrapper for vtkTreeLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeLayoutView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeLayoutView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeLayoutView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeLayoutView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  const char    *temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeLayoutView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeLayoutView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetLabelArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeLayoutView_GetLabelArrayName_13(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  const char    *temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetLabelVisibility_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeLayoutView_GetLabelVisibility_15(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  bool   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_LabelVisibilityOn_16(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_LabelVisibilityOff_17(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetVertexColorArrayName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeLayoutView_GetVertexColorArrayName_19(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  const char    *temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetColorVertices_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeLayoutView_GetColorVertices_111(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  bool   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_ColorVerticesOn_112(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_ColorVerticesOff_113(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetEdgeColorArrayName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeLayoutView_GetEdgeColorArrayName_115(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  const char    *temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetColorEdges_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeLayoutView_GetColorEdges_117(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  bool   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_ColorEdgesOn_118(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_ColorEdgesOff_119(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetAngle_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeLayoutView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeLayoutView_GetAngle_121(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  double   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetRadial_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadial(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeLayoutView_GetRadial_123(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  bool   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadial();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_RadialOn_124(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->RadialOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_RadialOff_125(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->RadialOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetLogSpacingValue_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeLayoutView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogSpacingValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeLayoutView_GetLogSpacingValue_127(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  double   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLogSpacingValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetLeafSpacing_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeLayoutView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeafSpacing(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeLayoutView_GetLeafSpacing_129(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  double   temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeafSpacing();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeLayoutView_GetDistanceArrayName_130(JNIEnv *env, jobject obj)
{
  vtkTreeLayoutView *op;
  const char    *temp20;

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetDistanceArrayName_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceArrayName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_SetupRenderWindow_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeLayoutView *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeLayoutView_ApplyViewTheme_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeLayoutView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeLayoutView_VTKInit(JNIEnv *, jobject)
{
  vtkTreeLayoutView *aNewOne = vtkTreeLayoutView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
